# GstPlayMediaInfo

## GstPlayAudioInfo

    GObject
        ╰──GstPlayStreamInfo
            ╰──GstPlayAudioInfo

GstPlayStreamInfo specific to audio streams.

Since : 1.20

### Class structure

#### GstPlayAudioInfoClass

### GstPlay.PlayAudioInfoClass

## GstPlay.PlayAudioInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayAudioInfo

GstPlay.PlayStreamInfo specific to audio streams.

Since : 1.20

## GstPlay.PlayAudioInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayAudioInfo

GstPlay.PlayStreamInfo specific to audio streams.

Since : 1.20

### Methods

#### gst_play_audio_info_get_bitrate

    gint
    gst_play_audio_info_get_bitrate (const GstPlayAudioInfo * info)

Parameters:

`info` –

a GstPlayAudioInfo

Returns –

the audio bitrate in GstPlayAudioInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.prototype.get_bitrate

    function GstPlay.PlayAudioInfo.prototype.get_bitrate(): {
        // javascript wrapper for 'gst_play_audio_info_get_bitrate'
    }

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (Number) –

the audio bitrate in GstPlay.PlayAudioInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.get_bitrate

    def GstPlay.PlayAudioInfo.get_bitrate (self):
        #python wrapper for 'gst_play_audio_info_get_bitrate'

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (int) –

the audio bitrate in GstPlay.PlayAudioInfo or -1 if unknown.

Since : 1.20

#### gst_play_audio_info_get_channels

    gint
    gst_play_audio_info_get_channels (const GstPlayAudioInfo * info)

Parameters:

`info` –

a GstPlayAudioInfo

Returns –

the number of audio channels in GstPlayAudioInfo or 0 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.prototype.get_channels

    function GstPlay.PlayAudioInfo.prototype.get_channels(): {
        // javascript wrapper for 'gst_play_audio_info_get_channels'
    }

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (Number) –

the number of audio channels in GstPlay.PlayAudioInfo or 0 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.get_channels

    def GstPlay.PlayAudioInfo.get_channels (self):
        #python wrapper for 'gst_play_audio_info_get_channels'

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (int) –

the number of audio channels in GstPlay.PlayAudioInfo or 0 if unknown.

Since : 1.20

#### gst_play_audio_info_get_language

    const gchar*
    gst_play_audio_info_get_language (const GstPlayAudioInfo * info)

Parameters:

`info` –

a GstPlayAudioInfo

Returns ( [nullable]) –

the language of the stream, or NULL if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.prototype.get_language

    function GstPlay.PlayAudioInfo.prototype.get_language(): {
        // javascript wrapper for 'gst_play_audio_info_get_language'
    }

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (String) –

the language of the stream, or NULL if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.get_language

    def GstPlay.PlayAudioInfo.get_language (self):
        #python wrapper for 'gst_play_audio_info_get_language'

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (str) –

the language of the stream, or NULL if unknown.

Since : 1.20

#### gst_play_audio_info_get_max_bitrate

    gint
    gst_play_audio_info_get_max_bitrate (const GstPlayAudioInfo * info)

Parameters:

`info` –

a GstPlayAudioInfo

Returns –

the audio maximum bitrate in GstPlayAudioInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.prototype.get_max_bitrate

    function GstPlay.PlayAudioInfo.prototype.get_max_bitrate(): {
        // javascript wrapper for 'gst_play_audio_info_get_max_bitrate'
    }

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (Number) –

the audio maximum bitrate in GstPlay.PlayAudioInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.get_max_bitrate

    def GstPlay.PlayAudioInfo.get_max_bitrate (self):
        #python wrapper for 'gst_play_audio_info_get_max_bitrate'

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (int) –

the audio maximum bitrate in GstPlay.PlayAudioInfo or -1 if unknown.

Since : 1.20

#### gst_play_audio_info_get_sample_rate

    gint
    gst_play_audio_info_get_sample_rate (const GstPlayAudioInfo * info)

Parameters:

`info` –

a GstPlayAudioInfo

Returns –

the audio sample rate in GstPlayAudioInfo or 0 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.prototype.get_sample_rate

    function GstPlay.PlayAudioInfo.prototype.get_sample_rate(): {
        // javascript wrapper for 'gst_play_audio_info_get_sample_rate'
    }

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (Number) –

the audio sample rate in GstPlay.PlayAudioInfo or 0 if unknown.

Since : 1.20

#### GstPlay.PlayAudioInfo.get_sample_rate

    def GstPlay.PlayAudioInfo.get_sample_rate (self):
        #python wrapper for 'gst_play_audio_info_get_sample_rate'

Parameters:

`info` (GstPlay.PlayAudioInfo) –

a GstPlay.PlayAudioInfo

Returns (int) –

the audio sample rate in GstPlay.PlayAudioInfo or 0 if unknown.

Since : 1.20

## GstPlayMediaInfo

    GObject
        ╰──GstPlayMediaInfo

Structure containing the media information of a URI.

Since : 1.20

### Class structure

#### GstPlayMediaInfoClass

### GstPlay.PlayMediaInfoClass

## GstPlay.PlayMediaInfo

    GObject.Object
        ╰──GstPlay.PlayMediaInfo

Structure containing the media information of a URI.

Since : 1.20

## GstPlay.PlayMediaInfo

    GObject.Object
        ╰──GstPlay.PlayMediaInfo

Structure containing the media information of a URI.

Since : 1.20

### Methods

#### gst_play_media_info_get_audio_streams

    GList *
    gst_play_media_info_get_audio_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-typeGstPlayAudioInfo]) –

A GList of matching GstPlayAudioInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_audio_streams

    function GstPlay.PlayMediaInfo.prototype.get_audio_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_audio_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayAudioInfo ]) –

A GLib.List of matching GstPlay.PlayAudioInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_audio_streams

    def GstPlay.PlayMediaInfo.get_audio_streams (self):
        #python wrapper for 'gst_play_media_info_get_audio_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayAudioInfo ]) –

A GLib.List of matching GstPlay.PlayAudioInfo.

Since : 1.20

#### gst_play_media_info_get_container_format

    const gchar*
    gst_play_media_info_get_container_format (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [nullable]) –

the container format or NULL if unknown.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_container_format

    function GstPlay.PlayMediaInfo.prototype.get_container_format(): {
        // javascript wrapper for 'gst_play_media_info_get_container_format'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (String) –

the container format or NULL if unknown.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_container_format

    def GstPlay.PlayMediaInfo.get_container_format (self):
        #python wrapper for 'gst_play_media_info_get_container_format'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (str) –

the container format or NULL if unknown.

Since : 1.20

#### gst_play_media_info_get_duration

    GstClockTime
    gst_play_media_info_get_duration (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

duration of the media.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_duration

    function GstPlay.PlayMediaInfo.prototype.get_duration(): {
        // javascript wrapper for 'gst_play_media_info_get_duration'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

duration of the media.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_duration

    def GstPlay.PlayMediaInfo.get_duration (self):
        #python wrapper for 'gst_play_media_info_get_duration'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (int) –

duration of the media.

Since : 1.20

#### gst_play_media_info_get_image_sample

    GstSample *
    gst_play_media_info_get_image_sample (const GstPlayMediaInfo * info)

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [nullable][transfer: none]) –

GstSample or NULL.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_image_sample

    function GstPlay.PlayMediaInfo.prototype.get_image_sample(): {
        // javascript wrapper for 'gst_play_media_info_get_image_sample'
    }

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Gst.Sample) –

GstSample or NULL.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_image_sample

    def GstPlay.PlayMediaInfo.get_image_sample (self):
        #python wrapper for 'gst_play_media_info_get_image_sample'

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Gst.Sample) –

GstSample or NULL.

Since : 1.20

#### gst_play_media_info_get_number_of_audio_streams

    guint
    gst_play_media_info_get_number_of_audio_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

number of audio streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_number_of_audio_streams

    function GstPlay.PlayMediaInfo.prototype.get_number_of_audio_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_number_of_audio_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

number of audio streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_number_of_audio_streams

    def GstPlay.PlayMediaInfo.get_number_of_audio_streams (self):
        #python wrapper for 'gst_play_media_info_get_number_of_audio_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (int) –

number of audio streams.

Since : 1.20

#### gst_play_media_info_get_number_of_streams

    guint
    gst_play_media_info_get_number_of_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

number of total streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_number_of_streams

    function GstPlay.PlayMediaInfo.prototype.get_number_of_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_number_of_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

number of total streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_number_of_streams

    def GstPlay.PlayMediaInfo.get_number_of_streams (self):
        #python wrapper for 'gst_play_media_info_get_number_of_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (int) –

number of total streams.

Since : 1.20

#### gst_play_media_info_get_number_of_subtitle_streams

    guint
    gst_play_media_info_get_number_of_subtitle_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

number of subtitle streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_number_of_subtitle_streams

    function GstPlay.PlayMediaInfo.prototype.get_number_of_subtitle_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_number_of_subtitle_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

number of subtitle streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_number_of_subtitle_streams

    def GstPlay.PlayMediaInfo.get_number_of_subtitle_streams (self):
        #python wrapper for 'gst_play_media_info_get_number_of_subtitle_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (int) –

number of subtitle streams.

Since : 1.20

#### gst_play_media_info_get_number_of_video_streams

    guint
    gst_play_media_info_get_number_of_video_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

number of video streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_number_of_video_streams

    function GstPlay.PlayMediaInfo.prototype.get_number_of_video_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_number_of_video_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

number of video streams.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_number_of_video_streams

    def GstPlay.PlayMediaInfo.get_number_of_video_streams (self):
        #python wrapper for 'gst_play_media_info_get_number_of_video_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (int) –

number of video streams.

Since : 1.20

#### gst_play_media_info_get_stream_list

    GList *
    gst_play_media_info_get_stream_list (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-typeGstPlayStreamInfo]) –

A GList of matching GstPlayStreamInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_stream_list

    function GstPlay.PlayMediaInfo.prototype.get_stream_list(): {
        // javascript wrapper for 'gst_play_media_info_get_stream_list'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayStreamInfo ]) –

A GLib.List of matching GstPlay.PlayStreamInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_stream_list

    def GstPlay.PlayMediaInfo.get_stream_list (self):
        #python wrapper for 'gst_play_media_info_get_stream_list'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayStreamInfo ]) –

A GLib.List of matching GstPlay.PlayStreamInfo.

Since : 1.20

#### gst_play_media_info_get_subtitle_streams

    GList *
    gst_play_media_info_get_subtitle_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-typeGstPlaySubtitleInfo]) –

A GList of matching GstPlaySubtitleInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_subtitle_streams

    function GstPlay.PlayMediaInfo.prototype.get_subtitle_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_subtitle_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlaySubtitleInfo ]) –

A GLib.List of matching GstPlay.PlaySubtitleInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_subtitle_streams

    def GstPlay.PlayMediaInfo.get_subtitle_streams (self):
        #python wrapper for 'gst_play_media_info_get_subtitle_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlaySubtitleInfo ]) –

A GLib.List of matching GstPlay.PlaySubtitleInfo.

Since : 1.20

#### gst_play_media_info_get_tags

    GstTagList *
    gst_play_media_info_get_tags (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][nullable]) –

the tags contained in media info.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_tags

    function GstPlay.PlayMediaInfo.prototype.get_tags(): {
        // javascript wrapper for 'gst_play_media_info_get_tags'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Gst.TagList) –

the tags contained in media info.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_tags

    def GstPlay.PlayMediaInfo.get_tags (self):
        #python wrapper for 'gst_play_media_info_get_tags'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Gst.TagList) –

the tags contained in media info.

Since : 1.20

#### gst_play_media_info_get_title

    const gchar*
    gst_play_media_info_get_title (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [nullable]) –

the media title or NULL if unknown.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_title

    function GstPlay.PlayMediaInfo.prototype.get_title(): {
        // javascript wrapper for 'gst_play_media_info_get_title'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (String) –

the media title or NULL if unknown.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_title

    def GstPlay.PlayMediaInfo.get_title (self):
        #python wrapper for 'gst_play_media_info_get_title'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (str) –

the media title or NULL if unknown.

Since : 1.20

#### gst_play_media_info_get_uri

    const gchar*
    gst_play_media_info_get_uri (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

the URI associated with GstPlayMediaInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_uri

    function GstPlay.PlayMediaInfo.prototype.get_uri(): {
        // javascript wrapper for 'gst_play_media_info_get_uri'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (String) –

the URI associated with GstPlay.PlayMediaInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_uri

    def GstPlay.PlayMediaInfo.get_uri (self):
        #python wrapper for 'gst_play_media_info_get_uri'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (str) –

the URI associated with GstPlay.PlayMediaInfo.

Since : 1.20

#### gst_play_media_info_get_video_streams

    GList *
    gst_play_media_info_get_video_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-typeGstPlayVideoInfo]) –

A GList of matching GstPlayVideoInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.get_video_streams

    function GstPlay.PlayMediaInfo.prototype.get_video_streams(): {
        // javascript wrapper for 'gst_play_media_info_get_video_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayVideoInfo ]) –

A GLib.List of matching GstPlay.PlayVideoInfo.

Since : 1.20

#### GstPlay.PlayMediaInfo.get_video_streams

    def GstPlay.PlayMediaInfo.get_video_streams (self):
        #python wrapper for 'gst_play_media_info_get_video_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayVideoInfo ]) –

A GLib.List of matching GstPlay.PlayVideoInfo.

Since : 1.20

#### gst_play_media_info_is_live

    gboolean
    gst_play_media_info_is_live (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

TRUE if the media is live.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.is_live

    function GstPlay.PlayMediaInfo.prototype.is_live(): {
        // javascript wrapper for 'gst_play_media_info_is_live'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

TRUE if the media is live.

Since : 1.20

#### GstPlay.PlayMediaInfo.is_live

    def GstPlay.PlayMediaInfo.is_live (self):
        #python wrapper for 'gst_play_media_info_is_live'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (bool) –

TRUE if the media is live.

Since : 1.20

#### gst_play_media_info_is_seekable

    gboolean
    gst_play_media_info_is_seekable (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns –

TRUE if the media is seekable.

Since : 1.20

#### GstPlay.PlayMediaInfo.prototype.is_seekable

    function GstPlay.PlayMediaInfo.prototype.is_seekable(): {
        // javascript wrapper for 'gst_play_media_info_is_seekable'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (Number) –

TRUE if the media is seekable.

Since : 1.20

#### GstPlay.PlayMediaInfo.is_seekable

    def GstPlay.PlayMediaInfo.is_seekable (self):
        #python wrapper for 'gst_play_media_info_is_seekable'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns (bool) –

TRUE if the media is seekable.

Since : 1.20

## GstPlayStreamInfo

    GObject
        ╰──GstPlayStreamInfo
            ╰──GstPlayAudioInfo
            ╰──GstPlaySubtitleInfo
            ╰──GstPlayVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlayVideoInfo, GstPlayAudioInfo, GstPlaySubtitleInfo.

Since : 1.20

### Class structure

#### GstPlayStreamInfoClass

### GstPlay.PlayStreamInfoClass

## GstPlay.PlayStreamInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayAudioInfo
            ╰──GstPlay.PlaySubtitleInfo
            ╰──GstPlay.PlayVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlay.PlayVideoInfo, GstPlay.PlayAudioInfo, GstPlay.PlaySubtitleInfo.

Since : 1.20

## GstPlay.PlayStreamInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayAudioInfo
            ╰──GstPlay.PlaySubtitleInfo
            ╰──GstPlay.PlayVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlay.PlayVideoInfo, GstPlay.PlayAudioInfo, GstPlay.PlaySubtitleInfo.

Since : 1.20

### Methods

#### gst_play_stream_info_get_caps

    GstCaps *
    gst_play_stream_info_get_caps (const GstPlayStreamInfo * info)

Parameters:

`info` –

a GstPlayStreamInfo

Returns ( [nullable][transfer: none]) –

the GstCaps of the stream or NULL if unknown.

Since : 1.20

#### GstPlay.PlayStreamInfo.prototype.get_caps

    function GstPlay.PlayStreamInfo.prototype.get_caps(): {
        // javascript wrapper for 'gst_play_stream_info_get_caps'
    }

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (Gst.Caps) –

the Gst.Caps of the stream or NULL if unknown.

Since : 1.20

#### GstPlay.PlayStreamInfo.get_caps

    def GstPlay.PlayStreamInfo.get_caps (self):
        #python wrapper for 'gst_play_stream_info_get_caps'

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (Gst.Caps) –

the Gst.Caps of the stream or NULL if unknown.

Since : 1.20

#### gst_play_stream_info_get_codec

    const gchar*
    gst_play_stream_info_get_codec (const GstPlayStreamInfo * info)

A string describing codec used in GstPlayStreamInfo.

Parameters:

`info` –

a GstPlayStreamInfo

Returns ( [nullable]) –

codec string or NULL on unknown.

Since : 1.20

#### GstPlay.PlayStreamInfo.prototype.get_codec

    function GstPlay.PlayStreamInfo.prototype.get_codec(): {
        // javascript wrapper for 'gst_play_stream_info_get_codec'
    }

A string describing codec used in GstPlay.PlayStreamInfo.

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (String) –

codec string or NULL on unknown.

Since : 1.20

#### GstPlay.PlayStreamInfo.get_codec

    def GstPlay.PlayStreamInfo.get_codec (self):
        #python wrapper for 'gst_play_stream_info_get_codec'

A string describing codec used in GstPlay.PlayStreamInfo.

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (str) –

codec string or NULL on unknown.

Since : 1.20

#### gst_play_stream_info_get_index

    gint
    gst_play_stream_info_get_index (const GstPlayStreamInfo * info)

Function to get stream index from GstPlayStreamInfo instance or -1 if unknown.

Parameters:

`info` –

a GstPlayStreamInfo

Returns –

the stream index of this stream.

Since : 1.20

#### GstPlay.PlayStreamInfo.prototype.get_index

    function GstPlay.PlayStreamInfo.prototype.get_index(): {
        // javascript wrapper for 'gst_play_stream_info_get_index'
    }

Function to get stream index from GstPlay.PlayStreamInfo instance or -1 if unknown.

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (Number) –

the stream index of this stream.

Since : 1.20

#### GstPlay.PlayStreamInfo.get_index

    def GstPlay.PlayStreamInfo.get_index (self):
        #python wrapper for 'gst_play_stream_info_get_index'

Function to get stream index from GstPlay.PlayStreamInfo instance or -1 if unknown.

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (int) –

the stream index of this stream.

Since : 1.20

#### gst_play_stream_info_get_stream_type

    const gchar*
    gst_play_stream_info_get_stream_type (const GstPlayStreamInfo * info)

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` –

a GstPlayStreamInfo

Returns –

a human readable name

Since : 1.20

#### GstPlay.PlayStreamInfo.prototype.get_stream_type

    function GstPlay.PlayStreamInfo.prototype.get_stream_type(): {
        // javascript wrapper for 'gst_play_stream_info_get_stream_type'
    }

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (String) –

a human readable name

Since : 1.20

#### GstPlay.PlayStreamInfo.get_stream_type

    def GstPlay.PlayStreamInfo.get_stream_type (self):
        #python wrapper for 'gst_play_stream_info_get_stream_type'

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (str) –

a human readable name

Since : 1.20

#### gst_play_stream_info_get_tags

    GstTagList *
    gst_play_stream_info_get_tags (const GstPlayStreamInfo * info)

Parameters:

`info` –

a GstPlayStreamInfo

Returns ( [transfer: none][nullable]) –

the tags contained in this stream.

Since : 1.20

#### GstPlay.PlayStreamInfo.prototype.get_tags

    function GstPlay.PlayStreamInfo.prototype.get_tags(): {
        // javascript wrapper for 'gst_play_stream_info_get_tags'
    }

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (Gst.TagList) –

the tags contained in this stream.

Since : 1.20

#### GstPlay.PlayStreamInfo.get_tags

    def GstPlay.PlayStreamInfo.get_tags (self):
        #python wrapper for 'gst_play_stream_info_get_tags'

Parameters:

`info` (GstPlay.PlayStreamInfo) –

a GstPlay.PlayStreamInfo

Returns (Gst.TagList) –

the tags contained in this stream.

Since : 1.20

## GstPlaySubtitleInfo

    GObject
        ╰──GstPlayStreamInfo
            ╰──GstPlaySubtitleInfo

GstPlayStreamInfo specific to subtitle streams.

Since : 1.20

### Class structure

#### GstPlaySubtitleInfoClass

### GstPlay.PlaySubtitleInfoClass

## GstPlay.PlaySubtitleInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlaySubtitleInfo

GstPlay.PlayStreamInfo specific to subtitle streams.

Since : 1.20

## GstPlay.PlaySubtitleInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlaySubtitleInfo

GstPlay.PlayStreamInfo specific to subtitle streams.

Since : 1.20

### Methods

#### gst_play_subtitle_info_get_language

    const gchar*
    gst_play_subtitle_info_get_language (const GstPlaySubtitleInfo * info)

Parameters:

`info` –

a GstPlaySubtitleInfo

Returns ( [nullable]) –

the language of the stream, or NULL if unknown.

Since : 1.20

#### GstPlay.PlaySubtitleInfo.prototype.get_language

    function GstPlay.PlaySubtitleInfo.prototype.get_language(): {
        // javascript wrapper for 'gst_play_subtitle_info_get_language'
    }

Parameters:

`info` (GstPlay.PlaySubtitleInfo) –

a GstPlay.PlaySubtitleInfo

Returns (String) –

the language of the stream, or NULL if unknown.

Since : 1.20

#### GstPlay.PlaySubtitleInfo.get_language

    def GstPlay.PlaySubtitleInfo.get_language (self):
        #python wrapper for 'gst_play_subtitle_info_get_language'

Parameters:

`info` (GstPlay.PlaySubtitleInfo) –

a GstPlay.PlaySubtitleInfo

Returns (str) –

the language of the stream, or NULL if unknown.

Since : 1.20

## GstPlayVideoInfo

    GObject
        ╰──GstPlayStreamInfo
            ╰──GstPlayVideoInfo

GstPlayStreamInfo specific to video streams.

Since : 1.20

### Class structure

#### GstPlayVideoInfoClass

### GstPlay.PlayVideoInfoClass

## GstPlay.PlayVideoInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayVideoInfo

GstPlay.PlayStreamInfo specific to video streams.

Since : 1.20

## GstPlay.PlayVideoInfo

    GObject.Object
        ╰──GstPlay.PlayStreamInfo
            ╰──GstPlay.PlayVideoInfo

GstPlay.PlayStreamInfo specific to video streams.

Since : 1.20

### Methods

#### gst_play_video_info_get_bitrate

    gint
    gst_play_video_info_get_bitrate (const GstPlayVideoInfo * info)

Parameters:

`info` –

a GstPlayVideoInfo

Returns –

the current bitrate of video in GstPlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_bitrate

    function GstPlay.PlayVideoInfo.prototype.get_bitrate(): {
        // javascript wrapper for 'gst_play_video_info_get_bitrate'
    }

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (Number) –

the current bitrate of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.get_bitrate

    def GstPlay.PlayVideoInfo.get_bitrate (self):
        #python wrapper for 'gst_play_video_info_get_bitrate'

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (int) –

the current bitrate of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### gst_play_video_info_get_framerate

    gst_play_video_info_get_framerate (const GstPlayVideoInfo * info,
                                       gint* fps_n,
                                       gint* fps_d)

Parameters:

`info` –

a GstPlayVideoInfo

`fps_n` ( [out]) –

Numerator of frame rate

`fps_d` ( [out]) –

Denominator of frame rate

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_framerate

    function GstPlay.PlayVideoInfo.prototype.get_framerate(): {
        // javascript wrapper for 'gst_play_video_info_get_framerate'
    }

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Since : 1.20

#### GstPlay.PlayVideoInfo.get_framerate

    def GstPlay.PlayVideoInfo.get_framerate (self):
        #python wrapper for 'gst_play_video_info_get_framerate'

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Since : 1.20

#### gst_play_video_info_get_height

    gint
    gst_play_video_info_get_height (const GstPlayVideoInfo * info)

Parameters:

`info` –

a GstPlayVideoInfo

Returns –

the height of video in GstPlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_height

    function GstPlay.PlayVideoInfo.prototype.get_height(): {
        // javascript wrapper for 'gst_play_video_info_get_height'
    }

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (Number) –

the height of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.get_height

    def GstPlay.PlayVideoInfo.get_height (self):
        #python wrapper for 'gst_play_video_info_get_height'

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (int) –

the height of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### gst_play_video_info_get_max_bitrate

    gint
    gst_play_video_info_get_max_bitrate (const GstPlayVideoInfo * info)

Parameters:

`info` –

a GstPlayVideoInfo

Returns –

the maximum bitrate of video in GstPlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_max_bitrate

    function GstPlay.PlayVideoInfo.prototype.get_max_bitrate(): {
        // javascript wrapper for 'gst_play_video_info_get_max_bitrate'
    }

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (Number) –

the maximum bitrate of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.get_max_bitrate

    def GstPlay.PlayVideoInfo.get_max_bitrate (self):
        #python wrapper for 'gst_play_video_info_get_max_bitrate'

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (int) –

the maximum bitrate of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### gst_play_video_info_get_pixel_aspect_ratio

    gst_play_video_info_get_pixel_aspect_ratio (const GstPlayVideoInfo * info,
                                                guint* par_n,
                                                guint* par_d)

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` –

a GstPlayVideoInfo

`par_n` ( [out]) –

numerator

`par_d` ( [out]) –

denominator

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_pixel_aspect_ratio

    function GstPlay.PlayVideoInfo.prototype.get_pixel_aspect_ratio(): {
        // javascript wrapper for 'gst_play_video_info_get_pixel_aspect_ratio'
    }

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Since : 1.20

#### GstPlay.PlayVideoInfo.get_pixel_aspect_ratio

    def GstPlay.PlayVideoInfo.get_pixel_aspect_ratio (self):
        #python wrapper for 'gst_play_video_info_get_pixel_aspect_ratio'

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Since : 1.20

#### gst_play_video_info_get_width

    gint
    gst_play_video_info_get_width (const GstPlayVideoInfo * info)

Parameters:

`info` –

a GstPlayVideoInfo

Returns –

the width of video in GstPlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.prototype.get_width

    function GstPlay.PlayVideoInfo.prototype.get_width(): {
        // javascript wrapper for 'gst_play_video_info_get_width'
    }

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (Number) –

the width of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

#### GstPlay.PlayVideoInfo.get_width

    def GstPlay.PlayVideoInfo.get_width (self):
        #python wrapper for 'gst_play_video_info_get_width'

Parameters:

`info` (GstPlay.PlayVideoInfo) –

a GstPlay.PlayVideoInfo

Returns (int) –

the width of video in GstPlay.PlayVideoInfo or -1 if unknown.

Since : 1.20

## Constants

### GST_TYPE_PLAY_AUDIO_INFO

    #define GST_TYPE_PLAY_AUDIO_INFO \
      (gst_play_audio_info_get_type ())

Since : 1.20

### GST_TYPE_PLAY_MEDIA_INFO

    #define GST_TYPE_PLAY_MEDIA_INFO \
      (gst_play_media_info_get_type())

Since : 1.20

### GST_TYPE_PLAY_STREAM_INFO

    #define GST_TYPE_PLAY_STREAM_INFO \
      (gst_play_stream_info_get_type ())

Since : 1.20

### GST_TYPE_PLAY_SUBTITLE_INFO

    #define GST_TYPE_PLAY_SUBTITLE_INFO \
      (gst_play_subtitle_info_get_type ())

Since : 1.20

### GST_TYPE_PLAY_VIDEO_INFO

    #define GST_TYPE_PLAY_VIDEO_INFO \
      (gst_play_video_info_get_type ())

Since : 1.20

The results of the search are